.poll_resources:
  variables:
    KUBERNETES_CPU_REQUEST: 4
    KUBERNETES_MEMORY_REQUEST: 4G
    KUBERNETES_EPHEMERAL_STORAGE_REQUEST: 4G
  image: lsandov1/lt-qcom-bullseye-poll:amd64

.oe_resources:
  variables:
    KUBERNETES_CPU_REQUEST: 4
    KUBERNETES_MEMORY_REQUEST: 4G
    KUBERNETES_EPHEMERAL_STORAGE_REQUEST: 30G
  image: lsandov1/lt-qcom-tuxsuite-build:amd64

.linux_testimage_resources:
  variables:
    KUBERNETES_CPU_REQUEST: 4
    KUBERNETES_MEMORY_REQUEST: 4G
    KUBERNETES_EPHEMERAL_STORAGE_REQUEST: 30G
  image: lsandov1/lt-qcom-tuxsuite-build:amd64

.bootloader_resources:
  variables:
    KUBERNETES_CPU_REQUEST: 60
    KUBERNETES_MEMORY_REQUEST: 64G
    KUBERNETES_EPHEMERAL_STORAGE_REQUEST: 10G
  image: lsandov1/lt-qcom-bullseye-build:amd64
  tags: amd64-runner

.linux_automerge_resources:
  variables:
    KUBERNETES_CPU_REQUEST: 60
    KUBERNETES_MEMORY_REQUEST: 64G
    KUBERNETES_EPHEMERAL_STORAGE_REQUEST: 50G
  image: lsandov1/lt-qcom-bullseye-build:amd64
  tags: amd64-runner

.linux_resources:
  variables:
    KUBERNETES_CPU_REQUEST: 60
    KUBERNETES_MEMORY_REQUEST: 64G
    KUBERNETES_EPHEMERAL_STORAGE_REQUEST: 50G
  image: lsandov1/lt-qcom-bullseye-build:amd64
  tags: amd64-runner

.debian_images_arm64_resources:
  variables:
    KUBERNETES_CPU_REQUEST: 8
    KUBERNETES_MEMORY_REQUEST: 16G
    KUBERNETES_EPHEMERAL_STORAGE_REQUEST: 50G
  image: lsandov1/lt-qcom-bullseye-build:arm64
  tags: arm64-runner
